/*# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
#                        pour la Sant�)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
# Previous Authors : Laurent Guigues, Jean-Pierre Roux
# CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
#
#  This software is governed by the CeCILL-B license under French law and
#  abiding by the rules of distribution of free software. You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL-B
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------ */

#ifndef __interfToolsMenuH__
#define __interfToolsMenuH__

#include <wx/wx.h>
#include <wx/utils.h>


#include "interfMenuBar.h"

class interfToolsMenu 
	: public interfMenuBar
{
public:
	interfToolsMenu(wxWindow * parent, int sizex, int sizey,wxEvtHandler* evtHandler, std::string datdir = "data/Icons");		
	~interfToolsMenu();

    virtual void initButtons(wxEvtHandler* evtHandler) ;

	/**
	**	Responds to the events of the buttons, when the same panel is responsible for it. It gets the name
	**	of the button corresponding to the method that has to be executed,
	**	it uses attribute eventHandler to call the methods define by the application.
	**	see setEventHandler(wxEventHandler*)
	**/
	void onRigidPressed(wxCommandEvent& event);
	void onSpreadPressed(wxCommandEvent& event);
	void onMirrorPressed(wxCommandEvent& event);
	void onPrintLabel(wxCommandEvent& event);
	void onFlipPressed(wxCommandEvent& event);


private:

/*EED Borrame
	//wxContourEventHandler* contourevent;
	wxPanel* configPanel;
	wxPanel* segmentPanel;
	wxPanel* spreadPanel;
	wxPanel* segmentPanelITK;
	bool axisshown;
*/
	
	
};

#endif
 
 
